Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: fastutil5 dsiutils colt sg-jal servletapi5 velocity log4j sux4j 
BuildRequires: jakarta-commons-configuration jakarta-commons-io jakarta-commons-lang 
# for build-classpath 
BuildRequires: pdfbox
# missing in classpath
BuildRequires: log4j 

BuildRequires: /proc
BuildRequires: jpackage-compat

Name:           mg4j
Version:        2.1.2
Release:        alt1_1jpp5
Epoch:          0
Summary:        Managing Gigabytes for Java
License:        LGPL
Group:          Development/Java
URL:            http://mg4j.dsi.unimi.it/
Source0:        http://mg4j.dsi.unimi.it/mg4j-%{version}-src.tar.gz
BuildArch:      noarch
Requires: fastutil5 >= 0:5.1.4 dsiutils >= 1.0.5 sux4j >= 1.0.1 sg-jal colt >= 0:1.1.0 jsap log4j
Requires: javamail pdfbox
Requires: jetty5 velocity velocity-tools tomcat5-servlet-2.4-api
Requires: jakarta-commons-collections jakarta-commons-configuration jakarta-commons-digester jakarta-commons-io jakarta-commons-lang jakarta-commons-logging
BuildRequires: ant jpackage-utils >= 0:1.6 /bin/bash javacc
BuildRequires: xalan-j2
BuildRequires: java-javadoc fastutil5-javadoc dsiutils-javadoc colt-javadoc sg-jal-javadoc servletapi5-javadoc velocity-javadoc velocity-tools log4j-javadoc sux4j-javadoc
BuildRequires: jakarta-commons-configuration-javadoc jakarta-commons-io-javadoc jakarta-commons-lang-javadoc
BuildRequires: servletapi5-javadoc

%description
MG4J (Managing Gigabytes for Java) is a free full-text search engine for
large document collections written in Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

#%package        demo
#Summary:        Examples for %{name}
#Group:          Development/Libraries

#%description    demo
#Examples for %{name}.


%prep
%setup -q


%build
export CLASSPATH=%(build-classpath jsap dsiutils fastutil5 colt jal sux4j jetty5 servletapi5 velocity velocity-tools javamail pdfbox jakarta-commons-io jakarta-commons-lang jakarta-commons-collections jakarta-commons-configuration log4j)
ant -Dlocal=true jar javadoc

%install
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
install -dm 755 $RPM_BUILD_ROOT/usr/share/%{name}
#cp -pr demo $RPM_BUILD_ROOT/usr/share/%{name}

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%doc README CHANGES COPYING.LIB
%doc manual/*
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

#%files demo
#%defattr(0644,root,root,0755)
#/usr/share/%{name}/*

%changelog
* Tue Mar 17 2009 Igor Vlasenko <viy@altlinux.ru> 0:2.1.2-alt1_1jpp5
- first build

